X2Go Bug report logs - #1308
"--auth-attempts 0" doesn't deactivate interactive authentication

version graph

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: <Nico.Lemanski@t-systems.com>

Date: Thu, 19 Jul 2018 12:30:02 UTC

Severity: normal

Tags: pending

Found in version 0.5.0.4

Fixed in version 0.5.99.1

Done: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1308; Package pyhoca-cli. (Thu, 19 Jul 2018 12:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to <Nico.Lemanski@t-systems.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Jul 2018 12:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: <Nico.Lemanski@t-systems.com>
To: <submit@bugs.x2go.org>
Subject: "--auth-attempts 0" doesn't deactivate interactive authentication
Date: Thu, 19 Jul 2018 12:01:04 +0000
Package: pyhoca-cli
Version: 0.5.0.4

When I call "pyhoca-cli" with the following options:
	"--password" followed by a wrong password
	"--auth-attempts 0"
I get a password prompt which has actually no effect even if I enter the correct password.

Example:
pyhoca-cli --server 192.168.1.2 -u exampleUser --password 'BADPASSWORD' --auth-attempts 0 -L --libdebug

Output:
[...]
pyhoca-cli[1028] (x2goclient-pylib) NOTICE: initializing X2Go session...
pyhoca-cli[1028] (x2gocontrolsession-pylib) NOTICE: connecting to [192.168.1.2]:22
pyhoca-cli[1028] (x2gocontrolsession-pylib) DEBUG: trying SSH key discovery or agent authentication with server
pyhoca-cli[1028] (x2gocontrolsession-pylib) INFO: unlock SSH private key file with provided password
pyhoca-cli[1028] (x2gocontrolsession-pylib) DEBUG: re-trying SSH key discovery now with passphrase for unlocking the key(s)
pyhoca-cli[1028] (PyHocaCLI) NOTICE: interactive login for user ,,exampleUser''
Password:
pyhoca-cli: error: non-interactive authentication failed
pyhoca-cli[1028] (x2goguardian-pylib) DEBUG: X2Go session guardian thread waking up after 3 seconds
pyhoca-cli[1028] (x2goguardian-pylib) DEBUG: calling session cleanup on profile Pyhoca-Client_Session for terminal session:

Expected behavior:
no password prompt
just exit with returnCode: 203

Suggestion:
In "PyHocaCLI.authenticate()" let "force_password_auth" only become true if "auth_attempts" is greater than 0.

System:
"Oracle Linux Server 7.4"

thanks


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1308; Package pyhoca-cli. (Tue, 18 Sep 2018 16:50:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 18 Sep 2018 16:50:05 GMT) (full text, mbox, link).


Message #10 received at 1308@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1308-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1308@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as pending for release
Date: Tue, 18 Sep 2018 18:45:41 +0200 (CEST)
tag #1308 pending
fixed #1308 0.5.99.1
thanks

Hello,

X2Go issue #1308 (src:pyhoca-cli) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=34715b3

The issue will most likely be fixed in src:pyhoca-cli (0.5.99.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 34715b3f19c32462696fb202513297f5ace37771
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Sep 18 13:10:40 2018 +0200

    Entirely rewrite PyHocaCLI.authenticate() function. (Fixes: #1308).

diff --git a/debian/changelog b/debian/changelog
index 11ecdc9..d0b46a4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,7 @@ pyhoca-cli (0.5.99.1-0x2go2) UNRELEASED; urgency=medium
       a usable / expectable value.
     - Add --forward-sshagent / -A cmdline option for enabling SSH agent
       forwarding.
+    - Entirely rewrite PyHocaCLI.authenticate() function. (Fixes: #1308).
   * debian/rules:
     + Build for Python3, not Python2.
     + Switch to pybuild DH build system.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 18 Sep 2018 16:50:09 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.99.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 18 Sep 2018 16:50:09 GMT) (full text, mbox, link).


Message sent on to <Nico.Lemanski@t-systems.com>:
Bug#1308. (Tue, 18 Sep 2018 16:50:10 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1308; Package pyhoca-cli. (Wed, 19 Sep 2018 03:55:06 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 19 Sep 2018 03:55:07 GMT) (full text, mbox, link).


Message #22 received at 1308@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1308-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1308@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as closed
Date: Wed, 19 Sep 2018 05:50:59 +0200 (CEST)
close #1308
thanks

Hello,

we are very hopeful that X2Go issue #1308 reported by you
has been resolved in the new release (0.6.0.0) of the
X2Go source project »src:pyhoca-cli«.

You can view the complete changelog entry of src:pyhoca-cli (0.6.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-cli.

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=1546795abc2ce7ff86851bdbc8658c8e38adcec9;hp=87b6c71c4966ca9abf7139e39c3d122143dded80

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-cli.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-cli
Version: 0.6.0.0-0x2go1
Status: RELEASE
Date: Tue, 18 Sep 2018 19:14:37 +0000
Fixes: 984 1287 1308
Changes:
 pyhoca-cli (0.6.0.0-0x2go1) RELEASED; urgency=medium
 .
   * New upstream version (0.5.99.1).
     - Port to Python3. (Fixes: #1287).
     - Add --force-password command line switch to override SSH key detection
       code.
     - Add --try-resume cmd line option and feature.
     - setup.py: Fix version string detection. (Copy+paste flaw...).
     - Fix duplicate password prompt. Regression fix.
     - keyboard handling: Switch to kbd-type auto and kbd-layout null. Should
       auto-detect the client-side keyboard in the X2Go session just fine.
     - pyhoca-cli main programme: Check for DISPLAY env var being set and having
       a usable / expectable value.
     - Add --forward-sshagent / -A cmdline option for enabling SSH agent
       forwarding.
     - Entirely rewrite PyHocaCLI.authenticate() function. (Fixes: #1308).
     - Fix --share-local-folders (aka -F) option and really mount shared folders.
       (Fixes: #984).
     - Make important options work like with OpenSSH's command-line client.
       E.g. pyhoca-cli -l <user> -i <key> -A <host>. This can still be improved
       but helps for now a big deal.
   * debian/rules:
     + Build for Python3, not Python2.
     + Switch to pybuild DH build system.
     + Enforce Python3 build, fix FTBFS.
     + Ignore failures during dh_auto_clean. Helps with build envs that don't have
       python3-setuptools installed when building source packages.
   * debian/control:
     + Fix src:pkg header part.
     + Switch to python3-* dependencies.
     + White-space fix.
     + Bump versioned D (pyhoca-cli): python-x2go (>= 0.5.99.0~).
     + Drop D (pyhoca-cli): python3-argparse. Part of stdlib in Python3
       these days.
   * debian/{control,compat}: Bump to DH version level 9.


Marked Bug as done Request was from Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 19 Sep 2018 03:55:12 GMT) (full text, mbox, link).


Notification sent to <Nico.Lemanski@t-systems.com>:
Bug acknowledged by developer. (Wed, 19 Sep 2018 03:55:12 GMT) (full text, mbox, link).


Message sent on to <Nico.Lemanski@t-systems.com>:
Bug#1308. (Wed, 19 Sep 2018 03:55:15 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 17 Oct 2018 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Dec 8 03:42:38 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.